package com.template.services;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.template.model.pojo.AlumniClub;
import com.template.model.pojo.AlumniImage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.template.model.result.PageUtils;
import com.template.model.vo.ImageApplyPageVo;
import com.template.model.vo.ImageMobilePageVo;
import com.template.model.vo.ImageMyPageVo;
import com.template.model.vo.ImagePageVo;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author ceshi
 * @since 2024-11-25
 */
public interface AlumniImageService extends IService<AlumniImage> {
    int insertAlumniImage(AlumniImage au);

    int updateAlumniImage(AlumniImage au);

    AlumniImage queryDataById(Integer id);

    int deleteDataById(Integer id);

    PageUtils<ImagePageVo> imagePageDatas(int currentPage, int pageCount, String userName, String orgName, Integer collegeId, Integer periodId, Integer majorId, Integer classId);

    PageUtils<ImageApplyPageVo> imageApplyPageDatas(int currentPage, int pageCount, Integer userId, String userName, String orgName, Integer collegeId, Integer periodId, Integer majorId, Integer classId, Integer isPass, String startTime, String endTime);

    PageUtils<ImageMobilePageVo> imageMobilePageDatas(int currentPage, int pageCount, String keyword, Integer categoryId);

    PageUtils<ImageMyPageVo> imageMyPageDatas(int currentPage, int pageCount, Integer userId, Integer isPass);

    PageUtils<ImageMyPageVo> imageMyApplyPageDatas(int currentPage, int pageCount, Integer userId, String name);

    PageUtils<ImageMyPageVo> imageApproveApplyPageDatas(int currentPage, int pageCount, Integer userId, String name);
}
